routes/web.php
<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/
Route::namespace('Admin')
    ->name('admin.')
    ->prefix('admin')
    ->middleware('auth')
    ->group(function () {
        Route::resource('articles','ArticlesController')->only('index', 'show', 'store');
        Route::resource('categories','CategorysController')->only('show');
        Route::resource('tags','TagController')->only('show');
        Route::resource('articles.comments', 'CommentsArticlesController')->only('store');
    });


Route::get('/', function () {
    return view('welcome');
});
Route::resource('news', 'PublicationController');
Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');

app/Article.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Article extends Model
{
    protected $fillable = [
        'title',
        'body',
        'user_id',
        'category_id'
    ];


    /**
     * @return \Illuminate\Database\Eloquent\Relations\BelongsToMany
     */
    public function tags()
    {
        return $this->belongsToMany(Tags::class, 'article_tags')->withTimestamps();
    }


    /**
     * @return \Illuminate\Database\Eloquent\Relations\HasMany
     */
    public function comments()
    {
        return $this->hasMany(Comment::class);
    }

    /**
     * @return \Illuminate\Database\Eloquent\Relations\BelongsTo
     */
    public function user()
    {
        return $this->belongsTo(User::class);
    }

    /**
     * @return \Illuminate\Database\Eloquent\Relations\BelongsTo
     */
    public function category()
    {
        return $this->belongsTo(Category::class);

    }
    /**
     * @param $builder
     * @param $filters
     * @return mixed
     */
    public function scopeFilter($builder, $filters)
    {
        return ($filters->apply($builder));
    }
}

app/Http/Controllers/Admin/ArticlesController.php
<?php

namespace App\Http\Controllers\Admin;

use App\Article;
use App\Category;
use App\Http\Controllers\Controller;
use App\Http\Requests\ArticleRequest;
use App\Tags;

class ArticlesController extends Controller
{

    /**
     * @return \Illuminate\Contracts\View\Factory|\Illuminate\View\View
     */
    public function index()
    {
        $tags = Tags::all();
        $articles = Article::all();
        $categories = Category::all();

        return view( 'admin.articles.index', compact('articles', 'tags', 'categories'));
    }


    /**
     * @param ArticleRequest $request
     * @return \Illuminate\Http\RedirectResponse|\Illuminate\Routing\Redirector
     */
    public function store(ArticleRequest $request)
    {
        $article = new Article();
        $article->body = $request->input('body');
        $article->title = $request->input('title');
        $article->category_id = $request->input('category_id');
        $article->user_id = $request->user()->id;
        $article->save();

        $article->tags()->attach($request->input('tags'));

        return redirect(route('admin.articles.index'));
    }


    /**
     * @param $id
     * @return \Illuminate\Contracts\View\Factory|\Illuminate\View\View
     */
    public function show($id)
    {
        $tags = Tags::all();
        $article = Article::findOrFail($id);
        $categories = Category::all();
        return view('admin.articles.show', compact('article', 'tags', 'categories'));
    }

}

resources/views/admin/articles/create.blade.php
@extends('layouts.app')
@section('content')
    <h1>
        новости
    </h1>
    <form action="">
        <input type="text">
    </form>
@endsection

resources/views/admin/articles/index.blade.php
@extends('layouts.app')
@section('content')
    <div class="container">
        <div class="row mt-5">
            <div class="col-8">

                <h2>Add new article</h2>
                <form action="{{route('admin.articles.store')}}" method="post">
                    @csrf
                    <div class="form-group">
                        <input type="text" name="title" class="form-control @error('title') is-invalid @enderror" placeholder="Enter article title">
                        @error('title')

                        <div class="alert alert-danger">{{ $message }}</div>
                        @enderror
                        <div class="row">
                            @if('required')
                                <div class="col-6">
                                    <div class="checkselect mb-4 mt-4">
                                        @foreach($tags as $tag)
                                            <br>
                                            <label><input type="checkbox"  name="tags[]" value="{{$tag->id}}">{{$tag->tag_title}}</label>
                                        @endforeach
                                    </div>
                                    @error('tags')
                                    <div class="alert alert-danger">{{ $message }}</div>
                                    @enderror
                                </div>
                            @endif
                        </div>
                        <div class="row" style="order: -1;">
                            @if('required')
                                <div class="col-6">
                                    <div class="checkselect mb-4 mt-4">
                                        @foreach($categories as $category)
                                            <br>
                                            <label><input type="checkbox"  name="category_id" value="{{$category->id}}">{{$category->title_category}}</label>
                                        @endforeach
                                    </div>
                                    @error('category_id')
                                    <div class="alert alert-danger">{{ $message }}</div>
                                    @enderror
                                </div>
                            @endif
                        </div>
                        <textarea class="form-control @error('body') is-invalid @enderror" name="body" type="text" placeholder="Enter article text" rows="5"></textarea>
                        @error('body')
                        <div class="alert alert-danger">{{ $message }}</div>
                        @enderror
                    </div>

                    <button type="submit" class="btn btn-primary">Save</button>
                </form>
            </div>
            <div class="col-4">
                <h4>Tags</h4>
                @foreach($tags as $tag)
                    <div><a href="{{route('admin.tags.show', ['tag' => $tag])}}">{{$tag->tag_title}}</a></div>
                @endforeach
            </div>
        </div>
    </div>
@endsection

resources/views/admin/articles/show.blade.php
@extends('layouts.app')

@section('content')
    <div class="container">
    <div class="row mt-5">
        <h1 class="col-12 mb-4">{{$article->title}}</h1>
        <div class="col-8">
            <h4>{{$article->category->title_category}}</h4>
            <h5 class="text-secondary mb-4"><span class="mr-1">{{$article->created_at->format('d M Y')}}</span> /
                {{$article->tags()->pluck('tag_title')->implode(', ')}}&nbsp;</h5>
            <h6>{{$article->body}}</h6>
            <p>
                <b>Автор стотьи:</b> {{$article->user->name}}
            </p>
        </div>
        <div class="col-4">
            <h4>Tags</h4>
            @foreach($tags as $tag)
                <div><a href="{{route('admin.tags.show', ['tag' => $tag])}}">{{$tag->tag_title}}</a></div>
            @endforeach

            <h4 style="margin-top: 10px">Category</h4>
            @foreach($categories as $category)
                <div><a href="{{route('admin.categories.show', ['category' => $category])}}">{{$category->title_category}}</a></div>
            @endforeach
        </div>
    </div>

    <div class="row">
        <div id="comments-block" class="col-8 scrollit">
            @foreach($article->comments as $comment)
                <x-comment :comment="$comment"></x-comment>
            @endforeach
            <div class="col-4">
                <div class="comment-form">
                    <form id="create-comment-{{$article->id}}">
                        @csrf
                        <input type="hidden" id="article_id-{{$article->id}}" value="{{$article->id}}">
                        <div class="form-group">
                            <label for="body">Комментарий</label>
                            <textarea name="body" class="form-control" id="body" rows="3" required></textarea>
                        </div>
                        <p><select id="estimation" name="estimation">
                                <option selected disabled>Выберите оценку</option>
                                <option value="{{1}}">Не очень</option>
                                <option value="{{-1}}">Удовлетворительно</option>
                            </select></p>
                        <button  id="create-comment-btn" data-article-id="{{$article->id}}" type="submit" class="btn btn-outline-primary btn-sm btn-block create-comment-btn">Добавьте новый
                            комментарий
                        </button>
                    </form>
                </div>
            </div>
        </div>
    </div>
    </div>
    </div>
    @csrf
@endsection